Skip to main content
GET
Read all customers

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Query Parameters

size
integer
default:25

Number of customers to return per page.

Required range: 1 <= x <= 50
cursor
string

Pagination cursor. Use nextCursor from the previous response.

type
string

Comma-separated customer types to include: INDIVIDUAL, BUSINESS. Case-insensitive.

status
string

Comma-separated verification statuses to include: NOT_STARTED, UNDER_VERIFICATION, APPROVED, RFI, FINAL_REJECTION, MISSING_TOS. Case-insensitive.

country
string

Comma-separated ISO 3166-1 alpha-3 country codes to include. Case-insensitive.

from
string<date-time>

Returns customers created at or after this date and time (ISO 8601).

to
string<date-time>

Returns customers created at or before this date and time (ISO 8601).

Response

Resources successfully retrieved.

data
(Business · object | Individual · object)[]

Customers in this page. Each item has the same shape as GET /customers/{id} without transactionLimits and wallet balances.

pagination
object

Pagination metadata for the response.